import { Creator, ICreatorOptions } from './creator.js';
import { Editor } from '../editor/editor.js';
import { Stepper } from './stepper/stepper.js';
export * from './copy.js';
export interface ICreatorHelper {
    [K: string]: (...args: any[]) => any;
}
declare type CreatorConstructor = new (editor: Editor, opts: ICreatorOptions) => Creator<Stepper>;
export declare function registerCreator(id: string, creator: CreatorConstructor): void;
export declare function create(editor: Editor, opts: ICreatorOptions): Creator<Stepper>;
export declare function registerCreatorHelper(id: string, helper: ICreatorHelper): void;
export declare function getHelpers(id: string): ICreatorHelper[] | undefined;
